OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r : Blitter_32bppSimple::Pixel , SpriteLoader::CommonPixel
- rail : CompanyInfrastructure
- rail_crossing_penalty : YAPFSettings
- rail_curve45_penalty : YAPFSettings
- rail_curve90_penalty : YAPFSettings
- rail_depot_reverse_penalty : YAPFSettings
- rail_doubleslip_penalty : YAPFSettings
- rail_ew : RailtypeInfo
- rail_firstred_exit_penalty : YAPFSettings
- rail_firstred_penalty : YAPFSettings
- rail_firstred_twoway_eol : YAPFSettings
- rail_lastred_exit_penalty : YAPFSettings
- rail_lastred_penalty : YAPFSettings
- rail_longer_platform_penalty : YAPFSettings
- rail_longer_platform_per_tile_penalty : YAPFSettings
- rail_look_ahead_max_signals : YAPFSettings
- rail_look_ahead_signal_p0 : YAPFSettings
- rail_look_ahead_signal_p1 : YAPFSettings
- rail_look_ahead_signal_p2 : YAPFSettings
- rail_ns : RailtypeInfo
- rail_nwse : RailtypeInfo
- rail_pbs_cross_penalty : YAPFSettings
- rail_pbs_signal_back_penalty : YAPFSettings
- rail_pbs_station_penalty : YAPFSettings
- rail_shorter_platform_penalty : YAPFSettings
- rail_shorter_platform_per_tile_penalty : YAPFSettings
- rail_slope_penalty : YAPFSettings
- rail_speed : TileDesc
- rail_station_penalty : YAPFSettings
- rail_swne : RailtypeInfo
- rail_type : ScriptStorage
- rail_use_yapf : YAPFSettings
- railtype : BuildVehicleWindow , BuildRailToolbarWindow
- railtype_list : GRFFile
- railtype_scope : RailTypeResolverObject
- RailTypeResolverObject() : RailTypeResolverObject
- railtypes : CompanyInfrastructureWindow
- RailTypeScopeResolver() : RailTypeScopeResolver
- RaiseButtons() : Window
- RaiseWidget() : Window
- random : Industry
- random_bits : BaseStation , IndustriesScopeResolver , Vehicle
- random_colour : HouseSpec , Industry
- random_deviation : ScriptConfigItem
- random_sounds : IndustrySpec
- random_triggers : Industry
- rating : GoodsEntry
- rating_lines : StationViewWindow
- ratings : Town
- raw_industry_construction : ConstructionSettings
- raw_strings : GameStrings
- RawAlloc() : ByteBlob
- RawFree() : ByteBlob
- rcon_password : NetworkSettings
- Read() : NoCompLoadFilter , ZlibLoadFilter , LZMALoadFilter , LoadFilter
- read : ReadBuffer
- Read() : PacketReader , FileReader , LZOLoadFilter
- read_bytes : PacketReader
- read_size : NIProperty , NICallback
- ReadBuffer() : ReadBuffer
- reader : ReadBuffer , SaveLoadParams
- ReadIdentifier() : Lexer
- ReadLine() : StringListReader , FileStringReader , StringReader
- readonly : TownScopeResolver
- ReadRawPacketSize() : Packet
- ReadString() : Lexer
- real_filename : HeaderFileWriter
- realtime_connect : ServerNetworkAdminSocketHandler
- Reassign() : VehicleCargoList
- Rebuild() : RoadStop::Entry
- RebuildCache() : LinkGraphOverlay
- RebuildColourIndexIfNecessary() : SmallMapWindow
- RebuildDone() : GUIList< T, F >
- RebuildVisibleSettings() : AISettingsWindow
- recalc_interval : LinkGraphSettings
- recalc_time : LinkGraphSettings
- RecalcDestinations() : StationViewWindow
- Receive() : NetworkHTTPSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet > , ClientNetworkGameSocketHandler
- Receive_ADMIN_CHAT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_GAMESCRIPT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_PING() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_POLL() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_QUIT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_RCON() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_UPDATE_FREQUENCY() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_CLIENT_ACK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CHAT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMMAND() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_INFO() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CONTENT() : NetworkContentSocketHandler
- Receive_CLIENT_DETAIL_INFO() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_ERROR() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_FIND_SERVER() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GAME_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GET_LIST() : NetworkUDPSocketHandler
- Receive_CLIENT_GET_NEWGRFS() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GETMAP() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_INFO_EXTID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_EXTID_MD5() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_ID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_LIST() : NetworkContentSocketHandler
- Receive_CLIENT_JOIN() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MAP_OK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MOVE() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_NEWGRFS_CHECKED() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_QUIT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_RCON() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_NAME() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- receive_limit : ServerNetworkGameSocketHandler
- Receive_MASTER_ACK_REGISTER() : NetworkUDPSocketHandler , MasterNetworkUDPSocketHandler
- Receive_MASTER_RESPONSE_LIST() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_MASTER_SESSION_KEY() : NetworkUDPSocketHandler , MasterNetworkUDPSocketHandler
- Receive_SERVER_BANNED() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CHAT() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CHECK_NEWGRFS() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CLIENT_ERROR() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_INFO() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CLIENT_JOIN() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_QUIT() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_LOGGING() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_NAMES() : NetworkAdminSocketHandler
- Receive_SERVER_COMMAND() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_COMPANY_ECONOMY() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_INFO() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_COMPANY_NEW() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_REMOVE() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_STATS() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_UPDATE() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CONFIG_UPDATE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CONSOLE() : NetworkAdminSocketHandler
- Receive_SERVER_CONTENT() : NetworkContentSocketHandler
- Receive_SERVER_DATE() : NetworkAdminSocketHandler
- Receive_SERVER_DETAIL_INFO() : NetworkUDPSocketHandler
- Receive_SERVER_ERROR() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_ERROR_QUIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_FRAME() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_FULL() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_INFO() : NetworkContentSocketHandler
- Receive_SERVER_JOIN() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_BEGIN() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_DATA() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_DONE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_SIZE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MOVE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEED_COMPANY_PASSWORD() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEED_GAME_PASSWORD() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEWGAME() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEWGRFS() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_SERVER_PONG() : NetworkAdminSocketHandler
- Receive_SERVER_PROTOCOL() : NetworkAdminSocketHandler
- Receive_SERVER_QUIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_RCON() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_RCON_END() : NetworkAdminSocketHandler
- Receive_SERVER_REGISTER() : NetworkUDPSocketHandler
- Receive_SERVER_RESPONSE() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_SERVER_SHUTDOWN() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_SYNC() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_UNREGISTER() : NetworkUDPSocketHandler
- Receive_SERVER_WAIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_WELCOME() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- ReceiveCommand() : NetworkGameSocketHandler
- received : Town
- receivedTypes : NetworkContentDownloadStatusWindow
- ReceiveGRFIdentifier() : NetworkSocketHandler
- ReceiveInvalidPacket() : NetworkContentSocketHandler , NetworkGameSocketHandler , NetworkUDPSocketHandler , NetworkAdminSocketHandler
- ReceiveNetworkGameInfo() : NetworkUDPSocketHandler
- ReceivePacket() : NetworkTCPSocketHandler , ServerNetworkGameSocketHandler
- ReceivePackets() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkGameSocketHandler , NetworkUDPSocketHandler
- RecomputeIndustriesNear() : Station
- RecomputeIndustriesNearForAll() : Station
- RecomputeProductionMultipliers() : Industry
- rect : BaseStation , RectAndIndustryVector
- recursive_count : ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- Recv_bool() : Packet
- recv_buffer : NetworkHTTPSocketHandler
- recv_length : NetworkHTTPSocketHandler
- recv_pos : NetworkHTTPSocketHandler
- Recv_string() : Packet
- Recv_uint16() : Packet
- Recv_uint32() : Packet
- Recv_uint64() : Packet
- Recv_uint8() : Packet
- redirect_depth : NetworkHTTPSocketHandler
- redraw_timer : AIDebugWindow
- redsq : TileHighlightData
- Reduce() : CargoPacket
- ReduceFlow() : Path
- ReduceLineCache() : Layouter
- ref1 : NewsItem
- ref2 : NewsItem
- RefCnt() : FixedSizeArray< T, C >
- reference_count : FixedSizeArray< T, C >::ArrayHeader
- referenced_id : StoryPageElement
- refit_cap : Vehicle
- refit_capacities : LinkRefresher
- refit_cargo : Order
- refit_mask : PrepareRefitAction
- refittability : GRFTempEngineData
- Refittability : GRFTempEngineData
- Reflow() : FallbackParagraphLayout
- refresh : SmallMapWindow
- RefreshFlags : LinkRefresher
- RefreshLinks() : LinkRefresher
- RefreshScrollbar() : RefitWindow
- RefreshSelectedPage() : StoryBookWindow
- RefreshStats() : LinkRefresher
- reftype1 : NewsItem
- reftype2 : NewsItem
- RegisterAPI() : AIInfo , AILibrary , AIScannerLibrary , GameInfo , GameLibrary , GameScannerLibrary , ScriptInstance , ScriptScanner , GameScannerInfo , AIScannerInfo
- RegisterScript() : ScriptScanner
- ReInit() : Window
- relative_scope : VehicleResolverObject
- Release() : CCountedPtr< Tcls_ >
- ReleaseFlows() : FlowStatMap
- ReleaseObject() : Squirrel
- ReleaseShare() : FlowStat
- reliability : Engine , Vehicle
- reliability_final : Engine
- reliability_max : Engine
- reliability_spd_dec : Engine , Vehicle
- reliability_start : Engine
- reload_cfg : NetworkSettings
- remaining : LinkRefresher::RefitDesc , RefitDesc , Subsidy
- RemainingCount() : VehicleCargoList
- remap : Blitter::BlitterParams
- RemapTile() : SmallMapWindow
- REMINDER_START : StatusBarWindow
- REMINDER_STOP : StatusBarWindow
- removal_cost : HouseSpec
- removal_cost_multiplier : IndustrySpec
- Remove() : CBinaryHeapT< T > , SmallSet< Tdir, items > , CargoDataEntry
- remove_rating_decrease : HouseSpec
- remove_time : ChatMessage
- RemoveCallback() : ClientNetworkContentSocketHandler
- RemoveEdge() : LinkGraph::Node
- RemoveFlow() : LinkGraphJob::Edge
- RemoveFromCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- RemoveFromMeta() : VehicleCargoList
- RemoveFromShared() : Vehicle
- RemoveGroup() : IniLoadFile
- RemoveNode() : LinkGraph
- RemoveOrder() : OrderBackup
- RemoveVehicle() : OrderList
- rename_engine : BuildVehicleWindow
- renderdata : StationSpec
- renew_keep_length : CompanySettings
- Reopen() : NetworkSocketHandler
- replace_engines : ReplaceVehicleWindow
- replace_protection : Group
- replace_text : RailtypeInfo
- replace_when_old : EngineRenew
- ReplaceClick_StartReplace() : ReplaceVehicleWindow
- ReportFileError() : IniLoadFile , SettingsIniFile , IniFile
- RequestContentList() : ClientNetworkContentSocketHandler
- requested : ClientNetworkContentSocketHandler
- require() : SquirrelStd
- Reroute() : StationCargoList , VehicleCargoList
- res : FindTrainOnTrackInfo
- res_okay : NPFFoundTargetData
- Rescan() : AI
- RescanDir() : ScriptScanner
- reseed : ResolverObject
- ReservationCost() : CYapfCostRailT< Types >
- Reserve() : StationCargoList
- reserve_path : NPFFindStationOrTileData
- reserve_paths : PathfinderSettings
- reserved_count : StationCargoList
- ReservedCount() : StationCargoList , VehicleCargoList
- ReserveRailStationPlatform() : CYapfReserveTrack< Types >
- ReserveSingleTrack() : CYapfReserveTrack< Types >
- ReserveTrackUnderConsist() : Train
- Reset() : IndustryTypeBuildData , TextEffect , SmallSet< Tdir, items > , Squirrel , TileHighlightData , ScriptScanner , SmallMatrix< T > , OrderBackup , IConsoleLine , IndustryBuildData , PacketReader , LoadFilter , MissingGlyphSearcher , TextfileWindow , FileReader , SmallVector< T, S >
- RESET_REFIT : LinkRefresher
- reset_sel_engine : ReplaceVehicleWindow
- ResetAirports() : AirportSpec
- ResetAirportTiles() : AirportTileSpec
- ResetConfig() : AI
- ResetEngine() : ScriptScanner
- ResetFontCache() : Layouter
- ResetIndustryCounts() : Industry
- ResetInfo() : AIConfig , GameConfig
- ResetLineCache() : Layouter
- ResetMapping() : OverrideManagerBase
- ResetOfUser() : OrderBackup
- ResetOverride() : OverrideManagerBase
- ResetRefit() : LinkRefresher
- ResetRefitCaps() : Vehicle
- ResetResortTimer() : GUIList< T, F >
- ResetSettings() : ScriptConfig
- ResetState() : ResolverObject , StringFilter
- ResetToCurrentNewGRFConfig() : EngineOverrideManager
- ResetToDefaultMapping() : EngineOverrideManager
- ResetToZero() : PersistentStorageArray< TYPE, SIZE >
- ResetTypeCounts() : Object
- ResetUser() : OrderBackup
- Resize() : SmallVector< T, S >
- resize : Window
- Resize() : SmallMatrix< T >
- resize_x : NWidgetBase
- resize_y : NWidgetBase
- resizebox_dimension : NWidgetLeaf
- Resolve() : SpriteGroup , NetworkAddress , ResolverObject , NIHelper , RandomizedSpriteGroup , SpriteGroup , DeterministicSpriteGroup , RealSpriteGroup
- ResolveCallback() : ResolverObject
- resolved : NetworkAddress
- ResolveReal() : ResolverObject , CargoResolverObject , RailTypeResolverObject , CanalResolverObject , AirportResolverObject , GenericResolverObject , VehicleResolverObject , StationResolverObject
- ResolverObject() : ResolverObject
- resort_timer : GUIList< T, F >
- restart_game_year : NetworkSettings
- Restore() : OrderBackup , Backup< T >
- RestrictFlows() : FlowStatMap
- RestrictShare() : FlowStat
- result : DropDownListItem
- result_seq : NewGRFSpriteLayout
- ResultSpriteGroup() : ResultSpriteGroup
- Resume() : Squirrel
- ResumeError() : Squirrel
- retire_early : EngineInfo
- retries : NetworkGameList
- Retrieve() : CargoDataEntry
- Return() : VehicleCargoList
- ReturnCargoAction() : ReturnCargoAction
- ReusableBuffer() : ReusableBuffer< T >
- reverse : FindDepotData
- reverse_at_signals : PathfinderSettings
- reverse_scroll : GUISettings
- ReverseIterator : CargoList< Tinst, Tcont >
- ReverseLookupDependency() : ClientNetworkContentSocketHandler
- ReverseLookupTreeDependency() : ClientNetworkContentSocketHandler
- Revert() : Backup< T >
- right_mouse_btn_emulation : GUISettings
- RIGHT_OFFSET : NewGRFInspectWindow
- river_route_random : GameCreationSettings
- ro : ScopeResolver
- road : CompanyInfrastructure
- road_build_months : Town
- road_crossing_penalty : YAPFSettings
- road_curve_penalty : YAPFSettings
- road_side : VehicleSettings
- road_slope_penalty : YAPFSettings
- road_speed : TileDesc
- road_stop_bay_occupied_penalty : YAPFSettings
- road_stop_occupied_penalty : YAPFSettings
- road_stop_on_competitor_road : ConstructionSettings
- road_stop_on_town_road : ConstructionSettings
- road_stop_penalty : YAPFSettings
- road_type : ScriptStorage
- road_use_yapf : YAPFSettings
- RoadStop : RoadStop::Entry , RoadStop
- RoadStopStatusFlags : RoadStop
- roadtypes : BuildVehicleWindow , CompanyInfrastructureWindow
- roadveh_acceleration_model : VehicleSettings
- roadveh_queue : PathfinderSettings
- roadveh_slope_steepness : VehicleSettings
- RoadVehicle() : RoadVehicle
- root_company : ScriptStorage
- root_spritegroup : ResolverObject
- RotateTop4Words() : TextRefStack
- rotation : Airport , AirportSpec
- route_profit : CargoPayment
- RSSFB_BASE_ENTRY : RoadStop
- RSSFB_BAY0_FREE : RoadStop
- RSSFB_BAY1_FREE : RoadStop
- RSSFB_BAY_COUNT : RoadStop
- RSSFB_ENTRY_BUSY : RoadStop
- Run() : LinkGraphSchedule , MCFHandler< Tpass > , InitHandler , DemandHandler , ComponentHandler , FlowMapper , LinkRefresher
- RunError() : Squirrel
- running : LinkGraphSchedule
- running_cost : RailVehicleInfo
- running_ticks : Vehicle
- runs : FallbackParagraphLayout , Layouter::LineCacheItem
- rv_max_speed : GRFTempEngineData